Salvar um template

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.neppo.com.br/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Neppo API MCP server": {
    "url": "https://api-docs.neppo.com.br/mcp"
  }
}

Close
POST /chatapi/1.0/api/v2/hsm-template/save

Salva ou atualiza um template cadastrado na base para envio ativo.

application/json

Body Required

obj

  • active boolean
  • createdAt string(date-time)
  • createdBy string
  • description string
  • elementName string
  • id integer(int64)
  • language string
  • mediaParameterCount integer(int64)
  • nameSpace string
  • parameterCount integer(int64)
  • template string
  • updatedAt string(date-time)
  • updatedBy string

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • active boolean
    • createdAt string(date-time)
    • createdBy string
    • description string
    • elementName string
    • id integer(int64)
    • language string
    • mediaParameterCount integer(int64)
    • nameSpace string
    • parameterCount integer(int64)
    • template string
    • updatedAt string(date-time)
    • updatedBy string
  • 201

    Created

  • 401

    Unauthorized

  • 403

    Forbidden

  • 404

    Not Found

POST /chatapi/1.0/api/v2/hsm-template/save
curl \
 --request POST 'https://api.neppo.com.br/chatapi/1.0/api/v2/hsm-template/save' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"active":true,"createdAt":"2026-05-04T09:42:00Z","createdBy":"string","description":"string","elementName":"string","id":42,"language":"string","mediaParameterCount":42,"nameSpace":"string","parameterCount":42,"template":"string","updatedAt":"2026-05-04T09:42:00Z","updatedBy":"string"}'
Request examples
{
  "active": true,
  "createdAt": "2026-05-04T09:42:00Z",
  "createdBy": "string",
  "description": "string",
  "elementName": "string",
  "id": 42,
  "language": "string",
  "mediaParameterCount": 42,
  "nameSpace": "string",
  "parameterCount": 42,
  "template": "string",
  "updatedAt": "2026-05-04T09:42:00Z",
  "updatedBy": "string"
}
Response examples (200)
{
  "active": true,
  "createdAt": "2026-05-04T09:42:00Z",
  "createdBy": "string",
  "description": "string",
  "elementName": "string",
  "id": 42,
  "language": "string",
  "mediaParameterCount": 42,
  "nameSpace": "string",
  "parameterCount": 42,
  "template": "string",
  "updatedAt": "2026-05-04T09:42:00Z",
  "updatedBy": "string"
}